/***************************************************************************
                          amcpushbutton.cpp  -  description
                             -------------------
    begin                : Sat Nov 23 2002
    copyright            : (C) 2002 by Martin Merck
    email                : merck@astro.uni-wuerzburg.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is part of the MAGIC control software for the AMC.       *
 *   The software is only intended for use in the MAGIC telescope project  *
 *   All rights remain with the author.					   *
 ***************************************************************************/

#include "amcpushbutton.h"

AMCPushButton::AMCPushButton(QWidget *parent, const char *name ) : QPushButton(parent,name) {
}
AMCPushButton::~AMCPushButton(){
}
/** Force the button to be rectangular. Therfore we return the width as the needed height. */
int AMCPushButton::heightForWidth( int w ) const{
	return w;
}
/** No descriptions */
void AMCPushButton::drawButton( QPainter *thePainter ){
	drawButtonLabel( thePainter );
}
